(************** Content-type: application/mathematica **************

                    Mathematica-Compatible Notebook

This notebook can be used with any Mathematica-compatible
application, such as Mathematica, MathReader or Publicon. The data
for the notebook starts with the line containing stars above.

To get the notebook into a Mathematica-compatible application, do
one of the following:

* Save the data starting with the line of stars above into a file
  with a name ending in .nb, then open the file inside the
  application;

* Copy the data starting with the line of stars above to the
  clipboard, then use the Paste menu command inside the application.

Data for notebooks contains only printable 7-bit ASCII and can be
sent directly in email or through ftp in text mode.  Newlines can be
CR, LF or CRLF (Unix, Macintosh or MS-DOS style).

NOTE: If you modify the data for this notebook not in a Mathematica-
compatible application, you must delete the line below containing
the word CacheID, otherwise Mathematica-compatible applications may
try to use invalid cache data.

For more information on notebooks and Mathematica-compatible 
applications, contact Wolfram Research:
  web: http://www.wolfram.com
  email: info@wolfram.com
  phone: +1-217-398-0700 (U.S.)

Notebook reader applications are available free of charge from 
Wolfram Research.
*******************************************************************)

(*CacheID: 232*)


(*NotebookFileLineBreakTest
NotebookFileLineBreakTest*)
(*NotebookOptionsPosition[     25064,        449]*)
(*NotebookOutlinePosition[     25708,        471]*)
(*  CellTagsIndexPosition[     25664,        467]*)
(*WindowFrame->Normal*)



Notebook[{
Cell[BoxData[{\(Remove\ [n, A, B, m, \ ic, Q, H, R, g, P, system, U, T, 
        arxikes, Ham, h, X, eqx, eqp, dx, dp, \ xi, pi, costate, Hxp, H11, 
        H1, DD, \ Olokliroma, norm, k];\), "\[IndentingNewLine]", 
    StyleBox[\( (*\ \[CapitalEpsilon]\[Iota]\[Sigma]\[Alpha]\[Gamma]\[Omega]\
\[Gamma]\:03ae\ \[Tau]\[Omega]\[Nu]\ \
\[Delta]\[Epsilon]\[Delta]\[Omicron]\[Mu]\:03ad\[Nu]\[Omega]\[Nu]\ *) \),
      FontColor->RGBColor[0, 0, 1]], "\[IndentingNewLine]", 
    StyleBox[\( (*\ \
\[CapitalSigma]\[Eta]\[Mu]\[Epsilon]\:03af\[Omega]\[Sigma]\[Eta] : \ \
\[CapitalAlpha]\[Nu]\ \[Kappa]\:03ac\[Pi]\[Omicron]\[Iota]\[Omicron]\
\[FinalSigma]\ \[Pi]\:03af\[Nu]\[Alpha]\[Kappa]\[Alpha]\[FinalSigma]\ \:03ad\
\[Chi]\[Epsilon]\[Iota]\ \[Mu]\:03cc\[Nu]\[Omicron]\ \:03ad\[Nu]\[Alpha]\ \
\[Sigma]\[Tau]\[Omicron]\[Iota]\[Chi]\[Epsilon]\:03af\[Omicron], \ \[Alpha]\
\[Upsilon]\[Tau]\:03cc\ \[Nu]\[Alpha]\ \[Gamma]\[Rho]\[Alpha]\[CurlyPhi]\
\[Epsilon]\:03af\ \[Alpha]\[Nu]\:03ac\[Mu]\[Epsilon]\[Sigma]\[Alpha]\ \
\[Sigma]\[Epsilon]\ \[CapitalDelta]\[CapitalUpsilon]\[CapitalOmicron]\ \:03ac\
\[Gamma]\[Kappa]\[Iota]\[Sigma]\[Tau]\[Rho]\[Alpha], \ \:03cc\[Chi]\[Iota]\ \
\:03ad\[Nu]\[Alpha], \ \[Pi]\[Chi] . \ {{1}}\ *) \),
      FontColor->RGBColor[0, 0, 
      1]], "\[IndentingNewLine]", \(n = 
        Input["\<Dwse ti diastasi twn pinakwn = \>"];\), \
"\[IndentingNewLine]", \(A = 
        Input["\<Dwse ton pinaka katastasis A = \>"];\), \
"\[IndentingNewLine]", \(B = 
        Input["\<Dwse ton pinaka eisodoy B = \>"];\), "\[IndentingNewLine]", \
\(t\_0 = Input[\*"\"\<Dwse to \!\(t\_0\) = \>\""];\), "\[IndentingNewLine]", \
\(t\_f = Input[\*"\"\<Dwse to \!\(t\_f\) = \>\""];\), "\[IndentingNewLine]", 
    StyleBox[\( (*\ 
        m\ \[Epsilon]\:03af\[Nu]\[Alpha]\[Iota]\ \[Omicron]\ \[Alpha]\[Rho]\
\[Iota]\[Theta]\[Mu]\:03cc\[FinalSigma]\ \[Tau]\[Omega]\[Nu]\ \[Upsilon]\[Pi]\
\[Omicron]\[Delta]\[Iota]\[Alpha]\[Sigma]\[Tau]\[Eta]\[Mu]\:03ac\[Tau]\[Omega]\
\[Nu]\ \[Tau]\[Omicron]\[Upsilon]\ \
\[Delta]\[Iota]\[Alpha]\[Sigma]\[Tau]\:03ae\[Mu]\[Alpha]\[Tau]\[Omicron]\
\[FinalSigma]\ [t\_0, t\_f]\ *) \),
      FontColor->RGBColor[0, 0, 
      1]], "\[IndentingNewLine]", \(m = 
        Input[\*"\"\<Dwse ton arithmo twn upodiastimatwn tou \
[\!\(t\_0\),\!\(t\_f\)]: \>\""];\), "\[IndentingNewLine]", 
    StyleBox[\( (*\ \[CapitalDelta]\:03af\[Nu]\[Omicron]\[Upsilon]\[Mu]\
\[Epsilon]\ \[Tau]\[Eta]\[Nu]\ \[Alpha]\[Rho]\[Chi]\[Iota]\[Kappa]\:03ae\ \
\[Epsilon]\[Kappa]\[Tau]\:03af\[Mu]\[Eta]\[Sigma]\[Eta]\ \[Tau]\[Omicron]\
\[Upsilon]\ \[Epsilon]\[Lambda]\[Epsilon]\[Gamma]\[Kappa]\[Tau]\:03ae\ u\ \
\[Tau]\[Omicron]\[Upsilon]\ \[Kappa]\:03ac\[Theta]\[Epsilon]\ \[Delta]\[Iota]\
\[Alpha]\[Sigma]\[Tau]\:03ae\[Mu]\[Alpha]\[Tau]\[Omicron]\[FinalSigma], \ \
\[CapitalOmicron]\[CapitalChi]\[CapitalIota]\ \[Sigma]\[Epsilon]\ \[Mu]\
\[Omicron]\[Rho]\[CurlyPhi]\:03ae\ \[Pi]\[Iota]\[Nu]\:03ac\[Kappa]\[Omega]\
\[Nu], \ \[Alpha]\[Pi]\[Lambda]\:03ac\ \[Gamma]\[Rho]\:03ac\[CurlyPhi]\
\[Omicron]\[Upsilon]\[Mu]\[Epsilon]\ \[Tau]\[Omicron]\[Upsilon]\[FinalSigma]\ \
\[Alpha]\[Rho]\[Iota]\[Theta]\[Mu]\[Omicron]\:03cd\[FinalSigma]\ \
\[Pi]\[Alpha]\[Tau]\:03ce\[Nu]\[Tau]\[Alpha]\[FinalSigma]\ \[Tau]\[Omicron]\ \
ENTER\ \[Alpha]\[Nu]\:03ac\[Mu]\[Epsilon]\[Sigma]\:03ac\ \[Tau]\[Omicron]\
\[Upsilon]\[FinalSigma]\ *) \),
      FontColor->RGBColor[0, 0, 
      1]], "\[IndentingNewLine]", \(Do[
        Print[u\_\(i - 1\) = Input["\<Dwse tous elegtes u :\>"]], {i, 
          m}];\), "\[IndentingNewLine]", 
    StyleBox[\( (*\ 
        ic\ \[Theta]\[Alpha]\ \[Epsilon]\:03af\[Nu]\[Alpha]\[Iota]\ \
\[Omicron]\ \[Pi]\:03af\[Nu]\[Alpha]\[Kappa]\[Alpha]\[FinalSigma]\ \[Mu]\
\[Epsilon]\ \[Tau]\[Iota]\[FinalSigma]\ \[Alpha]\[Rho]\[Chi]\[Iota]\[Kappa]\
\:03ad\[FinalSigma]\ \[Sigma]\[Upsilon]\[Nu]\[Theta]\:03ae\[Kappa]\[Epsilon]\
\[FinalSigma]\ *) \),
      FontColor->RGBColor[0, 0, 
      1]], "\[IndentingNewLine]", \(ic = 
        Input["\<Dwse ton nx1 pinaka me tis arxikes synthikes:\>"];\), "\
\[IndentingNewLine]", \(Q = 
        Input["\<Dwse ton nxn pinaka Q:\>"];\), "\[IndentingNewLine]", \(H = 
        Input["\<Dwse ton nxn pinaka H:\>"];\), "\[IndentingNewLine]", \(R = 
        Input["\<Dwse ton nxn pinaka R:\>"];\), "\[IndentingNewLine]", \(g = 
        Input["\<Dwse ti stathera termatismoy g:\>"];\), \
"\[IndentingNewLine]", 
    StyleBox[\( (*\ \[CapitalTau]\[Alpha]\ \[Delta]\[Iota]\[Alpha]\[Nu]\:03cd\
\[Sigma]\[Mu]\[Alpha]\[Tau]\[Alpha]\ x[t], \(x'\)[
            t]\ \[Kappa]\[Alpha]\[Iota]\ p[t]\ *) \),
      FontColor->RGBColor[0, 0, 
      1]], "\[IndentingNewLine]", \(x[t] = 
        Table[{x\_i[t]}, {i, n}];\), "\[IndentingNewLine]", \(\(x'\)[t] = 
        Table[{\(x\_i'\)[t]}, {i, n}];\), "\[IndentingNewLine]", \(P = 
        Table[p\_i[t], {i, n}];\), "\[IndentingNewLine]", 
    StyleBox[\( (*\ \[CapitalTau]\[Omicron]\ \[Sigma]\:03cd\[Sigma]\[Tau]\
\[Eta]\[Mu]\[Alpha]\ \[Tau]\[Omega]\[Nu]\ \
\[Epsilon]\[Xi]\[Iota]\[Sigma]\:03ce\[Sigma]\[Epsilon]\[Omega]\[Nu]\ *) \),
      FontColor->RGBColor[0, 0, 
      1]], "\[IndentingNewLine]", \(system = \(x'\)[t] == 
          A . x[t] + B . {{\ u[t]}};\), "\[IndentingNewLine]", 
    StyleBox[\( (*\ \[CapitalBeta]\:03ac\[Zeta]\[Omicron]\[Upsilon]\[Mu]\
\[Epsilon]\ \[Tau]\[Iota]\[FinalSigma]\ \[Epsilon]\[Iota]\[Sigma]\:03cc\
\[Delta]\[Omicron]\[Upsilon]\[FinalSigma]\ \[Sigma]\[Epsilon]\ \:03ad\[Nu]\
\[Alpha]\[Nu]\ \[Pi]\:03af\[Nu]\[Alpha]\[Kappa]\[Alpha]\ *) \),
      FontColor->RGBColor[0, 0, 
      1]], "\[IndentingNewLine]", \(U = 
        Table[u\_\(i - 1\), {i, m}];\), "\[IndentingNewLine]", 
    StyleBox[\( (*\ \[CapitalDelta]\[Eta]\[Mu]\[Iota]\[Omicron]\[Upsilon]\
\[Rho]\[Gamma]\:03af\[Alpha]\ \[Epsilon]\[Nu]\:03cc\[FinalSigma]\ \[Pi]\:03af\
\[Nu]\[Alpha]\[Kappa]\[Alpha]\ \[Mu]\[Epsilon]\ \[Tau]\[Alpha]\ \[Upsilon]\
\[Pi]\[Omicron]\[Delta]\[Iota]\[Alpha]\[Sigma]\[Tau]\:03ae\[Mu]\[Alpha]\[Tau]\
\[Alpha]\ \[Tau]\[Omicron]\[Upsilon]\ [t\_0, t\_f]\ *) \),
      FontColor->RGBColor[0, 0, 
      1]], "\[IndentingNewLine]", \(T = 
        Table[{t\_k = t\_0 + k\ \(t\_f - t\_0\)\/m, 
            t\_\(k + 1\) = t\_0 + \((k + 1)\)\ \(t\_f - t\_0\)\/m}, {k, 0, 
            m - 1}];\), "\[IndentingNewLine]", 
    StyleBox[\( (*\ \[CapitalDelta]\[Eta]\[Mu]\[Iota]\[Omicron]\[Upsilon]\
\[Rho]\[Gamma]\:03af\[Alpha]\ \[Epsilon]\[Nu]\:03cc\[FinalSigma]\ \[Pi]\:03af\
\[Nu]\[Alpha]\[Kappa]\[Alpha]\ \[Mu]\[Epsilon]\ \[Tau]\[Iota]\[FinalSigma]\ \
\[Epsilon]\[Xi]\[Iota]\[Sigma]\:03ce\[Sigma]\[Epsilon]\[Iota]\[FinalSigma]\ \
\[Tau]\[Omega]\[Nu]\ \[Alpha]\[Rho]\[Chi]\[Iota]\[Kappa]\:03ce\[Nu]\ \[Sigma]\
\[Upsilon]\[Nu]\[Theta]\[Eta]\[Kappa]\:03ce\[Nu]\ *) \),
      FontColor->RGBColor[0, 0, 
      1]], "\[IndentingNewLine]", \(arxikes = 
        Table[x\_i[t\_0] == \(ic[\([i]\)]\)[\([1]\)], {i, 
            n}];\), "\[IndentingNewLine]", 
    StyleBox[\( (*\ \[CapitalDelta]\[Eta]\[Mu]\[Iota]\[Omicron]\[Upsilon]\
\[Rho]\[Gamma]\:03af\[Alpha]\ \[Tau]\[Eta]\[FinalSigma]\ \
\[CapitalChi]\[Alpha]\[Mu]\[Iota]\[Lambda]\[Tau]\[Omicron]\[Nu]\[Iota]\[Alpha]\
\[Nu]\:03ae\[FinalSigma]\ *) \),
      FontColor->RGBColor[0, 0, 1]], "\[IndentingNewLine]", 
    RowBox[{\(Ham = \(\((1\/2\ Transpose[x[t]]\  . \ Q\  . \ x[t] + 
                  1\/2\ {{u[t]}}\  . \ R\  . \ {{\ u[t]}} + 
                  P\  . \ A\  . \ x[t] + 
                  P\  . \ B\  . \ {{u[t]}})\)[\([1]\)]\)[\([1]\)];\), 
      "\[IndentingNewLine]", 
      StyleBox[\( (*\ \[CapitalBeta]\[Rho]\:03af\[Sigma]\[Kappa]\[Omicron]\
\[Upsilon]\[Mu]\[Epsilon]\ \[Tau]\[Omicron]\ h[t\_f]\ *) \),
        FontColor->RGBColor[0, 0, 1]]}], "\[IndentingNewLine]", 
    RowBox[{\(h = \(\((1\/2\ Transpose[x[t]]\  . \ H\  . \ x[t] //. 
                  t -> T[\([1, 2]\)])\)[\([1]\)]\)[\([1]\)];\), 
      "\[IndentingNewLine]", 
      StyleBox[\( (*\ \:0388\[Nu]\[Alpha]\[FinalSigma]\ \[Beta]\[Omicron]\
\[Eta]\[Theta]\[Eta]\[Tau]\[Iota]\[Kappa]\:03cc\[FinalSigma]\ \
\[Pi]\:03af\[Nu]\[Alpha]\[Kappa]\[Alpha]\[FinalSigma]\ \
\[Gamma]\[Iota]\[Alpha]\ \[Tau]\[Eta]\[Nu]\ \[Epsilon]\[Pi]\:03af\[Lambda]\
\[Upsilon]\[Sigma]\[Eta]\ \[Tau]\[Omega]\[Nu]\ \[Delta]\[Iota]\[Alpha]\
\[CurlyPhi]\[Omicron]\[Rho]\[Iota]\[Kappa]\:03ce\[Nu]\ \[Epsilon]\[Xi]\[Iota]\
\[Sigma]\:03ce\[Sigma]\[Epsilon]\[Omega]\[Nu]\ *) \),
        FontColor->RGBColor[0, 0, 1]]}], "\[IndentingNewLine]", \(X = 
        Table[\(x[t]\)[\([i, 1]\)], {i, n}];\), "\[IndentingNewLine]", 
    RowBox[{
      RowBox[{
        RowBox[{"Do", "[", 
          
          StyleBox[\( (*\ \[CapitalOmicron]\[Iota]\ \[Epsilon]\[Xi]\[Iota]\
\[Sigma]\:03ce\[Sigma]\[Epsilon]\[Iota]\[FinalSigma]\ \[Kappa]\[Alpha]\[Tau]\
\:03ac\[Sigma]\[Tau]\[Alpha]\[Sigma]\[Eta]\[FinalSigma]\ \((state\ equations)\
\)\ *) \),
            FontColor->RGBColor[0, 0, 1]], "\[IndentingNewLine]", 
          RowBox[{
            
            RowBox[{\(eqx = 
                Table[{\(system[\([1, i]\)]\)[\([1]\)] == \(system[\([2, 
                              i]\)]\)[\([1]\)] /. u[t] -> U[\([j]\)], 
                    arxikes[\([i]\)]}, {i, n}]\), ";", "\[IndentingNewLine]", 
              
              
              StyleBox[\( (*\ \[CapitalLambda]\:03cd\[Sigma]\[Eta]\ \[Tau]\
\[Omega]\[Nu]\ \[Delta]\[Iota]\[Alpha]\[CurlyPhi]\[Omicron]\[Rho]\[Iota]\
\[Kappa]\:03ce\[Nu]\ \[Epsilon]\[Xi]\[Iota]\[Sigma]\:03ce\[Sigma]\[Epsilon]\
\[Omega]\[Nu]\ \[Mu]\[Epsilon]\ x*) \),
                FontColor->RGBColor[0, 0, 1]], 
              "\[IndentingNewLine]", \(dx = 
                DSolve[eqx, X, t] // FullSimplify\), ";", 
              "\[IndentingNewLine]", 
              
              StyleBox[\( (*\[CapitalPi]\:03af\[Nu]\[Alpha]\[Kappa]\[Alpha]\
\[FinalSigma]\ \[Mu]\[Epsilon]\ \[Tau]\[Iota]\[FinalSigma]\ \[Lambda]\:03cd\
\[Sigma]\[Epsilon]\[Iota]\[FinalSigma]\ \[Tau]\[Omega]\[Nu]\ \[Pi]\[Alpha]\
\[Rho]\[Alpha]\[Pi]\:03ac\[Nu]\[Omega]\ \[Delta]\[Iota]\[Alpha]\[CurlyPhi]\
\[Omicron]\[Rho]\[Iota]\[Kappa]\:03ce\[Nu]\ \[Epsilon]\[Xi]\[Iota]\[Sigma]\
\:03ce\[Sigma]\[Epsilon]\[Omega]\[Nu]\ *) \),
                FontColor->RGBColor[0, 0, 1]], 
              "\[IndentingNewLine]", \(xi = 
                Table[x\_i[t_] -> \ \(dx[\([1, i]\)]\)[\([2]\)], {i, n}]\), 
              ";", "\[IndentingNewLine]", 
              
              StyleBox[\( (*\ \[CapitalOmicron]\[Iota]\ \[Sigma]\[Upsilon]\
\[Zeta]\[Epsilon]\[Upsilon]\[Gamma]\[Mu]\:03ad\[Nu]\[Epsilon]\[FinalSigma]\ \
\[Epsilon]\[Xi]\[Iota]\[Sigma]\:03ce\[Sigma]\[Epsilon]\[Iota]\[FinalSigma]\ \
\((costate\ equations)\)\ *) \),
                FontColor->RGBColor[0, 0, 1]], 
              "\[IndentingNewLine]", \(Do[
                costate[i] = \(p\_i'\)[t] == \(-D[Ham, x\_i[t]]\), {i, n}]\), 
              ";", "\[IndentingNewLine]", \(eqp = 
                Table[{costate[i], 
                    p\_i[T[\([j, 2]\)]] == D[h, x\_i[T[\([j, 2]\)]]]}, {i, 
                    n}]\), ";", "\[IndentingNewLine]", 
              
              StyleBox[\( (*\ \[CapitalLambda]\:03cd\[Sigma]\[Eta]\ \[Tau]\
\[Omega]\[Nu]\ \[Delta]\[Iota]\[Alpha]\[CurlyPhi]\[Omicron]\[Rho]\[Iota]\
\[Kappa]\:03ce\[Nu]\ \[Epsilon]\[Xi]\[Iota]\[Sigma]\:03ce\[Sigma]\[Epsilon]\
\[Omega]\[Nu]\ \[Mu]\[Epsilon]\ p\ *) \),
                FontColor->RGBColor[0, 0, 1]], 
              "\[IndentingNewLine]", \(dp = 
                DSolve[eqp //. xi, P, t] // FullSimplify\), ";", 
              "\[IndentingNewLine]", 
              
              StyleBox[\( (*\[CapitalPi]\:03af\[Nu]\[Alpha]\[Kappa]\[Alpha]\
\[FinalSigma]\ \[Mu]\[Epsilon]\ \[Tau]\[Iota]\[FinalSigma]\ \[Lambda]\:03cd\
\[Sigma]\[Epsilon]\[Iota]\[FinalSigma]\ \[Tau]\[Omega]\[Nu]\ \[Pi]\[Alpha]\
\[Rho]\[Alpha]\[Pi]\:03ac\[Nu]\[Omega]\ \[Delta]\[Iota]\[Alpha]\[CurlyPhi]\
\[Omicron]\[Rho]\[Iota]\[Kappa]\:03ce\[Nu]\ \[Epsilon]\[Xi]\[Iota]\[Sigma]\
\:03ce\[Sigma]\[Epsilon]\[Omega]\[Nu]\ *) \),
                FontColor->RGBColor[0, 0, 1]], 
              "\[IndentingNewLine]", \(pi = 
                Table[p\_i[t_] -> \ \(dp[\([1, i]\)]\)[\([2]\)], {i, n}]\), 
              ";", "\[IndentingNewLine]", 
              
              StyleBox[\( (*\ \[CapitalEpsilon]\[Nu]\:03ce\[Nu]\[Omega]\ \
\[Tau]\[Omicron]\[Upsilon]\[FinalSigma]\ \[Pi]\:03af\[Nu]\[Alpha]\[Kappa]\
\[Epsilon]\[FinalSigma]\ \[Mu]\[Epsilon]\ \[Tau]\[Alpha]\ x\ \[Kappa]\[Alpha]\
\[Iota]\ p\ \[Gamma]\[Iota]\[Alpha]\ \
\[Beta]\[Omicron]\:03ae\[Theta]\[Epsilon]\[Iota]\[Alpha]\ \
\[Sigma]\[Tau]\[Eta]\[Nu]\ \[Alpha]\[Nu]\[Tau]\[Iota]\[Kappa]\[Alpha]\[Tau]\
\:03ac\[Sigma]\[Tau]\[Alpha]\[Sigma]\[Eta]\ \[Pi]\[Alpha]\[Rho]\[Alpha]\
\[Kappa]\:03ac\[Tau]\[Omega]\ *) \),
                FontColor->RGBColor[0, 0, 1]], 
              "\[IndentingNewLine]", \(Hxp = Join[xi, pi]\), ";", 
              "\[IndentingNewLine]", 
              
              StyleBox[\( (*\ \[CapitalAlpha]\[Nu]\[Tau]\[Iota]\[Kappa]\:03ac\
\[Sigma]\[Tau]\[Alpha]\[Sigma]\[Eta]\ \[Tau]\[Omega]\[Nu]\ \[Lambda]\:03cd\
\[Sigma]\[Epsilon]\[Omega]\[Nu]\ \[Tau]\[Omega]\[Nu]\ x\ \[Kappa]\[Alpha]\
\[Iota]\ p\ \[Sigma]\[Tau]\[Eta]\[Nu]\ \[CapitalChi]\[Alpha]\[Mu]\[Iota]\
\[Lambda]\[Tau]\[Omicron]\[Nu]\[Iota]\[Alpha]\[Nu]\:03ae\ *) \),
                FontColor->RGBColor[0, 0, 1]], 
              "\[IndentingNewLine]", \(H11 = Ham //. Hxp // FullSimplify\), 
              ";", "\[IndentingNewLine]", 
              
              StyleBox[\( (*\ \[CapitalAlpha]\[Pi]\[Lambda]\[Omicron]\[Pi]\
\[Omicron]\[Iota]\:03ce\ \[Tau]\[Alpha]\ \[Nu]\[Omicron]\:03cd\[Mu]\[Epsilon]\
\[Rho]\[Alpha]\ \[Alpha]\[Pi]\[Alpha]\[Lambda]\[Omicron]\:03af\[CurlyPhi]\
\[Omega]\[Nu]\[Tau]\[Alpha]\[FinalSigma]\ \:03cc\[Tau]\[Iota]\ \[Epsilon]\
\:03af\[Nu]\[Alpha]\[Iota]\ \[Sigma]\[Chi]\[Epsilon]\[Delta]\:03cc\[Nu]\ \
\:03af\[Sigma]\[Omicron]\ \:03ae\ \:03af\[Sigma]\[Omicron]\ \[Mu]\[Epsilon]\ \
0\ *) \),
                FontColor->RGBColor[0, 0, 1]], 
              "\[IndentingNewLine]", \(H1 = N[Chop[H11]]\), ";", 
              "\[IndentingNewLine]", 
              
              StyleBox[\( (*\ \[CapitalMu]\[Epsilon]\[Rho]\[Iota]\[Kappa]\
\:03ae\ \[Pi]\[Alpha]\[Rho]\:03ac\[Gamma]\[Omega]\[Gamma]\[Omicron]\
\[FinalSigma]\ \[Tau]\[Eta]\[FinalSigma]\ \[CapitalChi]\[Alpha]\[Mu]\[Iota]\
\[Lambda]\[Tau]\[Omicron]\[Nu]\[Iota]\[Alpha]\[Nu]\:03ae\[FinalSigma]\ \
\[Omega]\[FinalSigma]\ \[Pi]\[Rho]\[Omicron]\[FinalSigma]\ u\ \
\[Kappa]\[Alpha]\[Iota]\ \[Alpha]\[Nu]\[Tau]\[Iota]\[Kappa]\[Alpha]\[Tau]\
\:03ac\[Sigma]\[Tau]\[Alpha]\[Sigma]\[Eta]\ \[Tau]\[Omega]\[Nu]\ \[Epsilon]\
\[Lambda]\[Epsilon]\[Gamma]\[Kappa]\[Tau]\:03ce\[Nu]\ *) \),
                FontColor->RGBColor[0, 0, 1]], 
              "\[IndentingNewLine]", \(D\_j = 
                D[H1, u[t]] /. u[t] -> U[\([j]\)] // FullSimplify\)}], 
            ",", \({j, m}\)}], "]"}], ";"}], "\[IndentingNewLine]", 
      StyleBox[\( (*\ \[CapitalPi]\:03af\[Nu]\[Alpha]\[Kappa]\[Alpha]\
\[FinalSigma]\ \[Mu]\[Epsilon]\ \[Tau]\[Iota]\[FinalSigma]\ \[Mu]\[Epsilon]\
\[Rho]\[Iota]\[Kappa]\:03ad\[FinalSigma]\ \[Pi]\[Alpha]\[Rho]\[Alpha]\[Gamma]\
\:03ce\[Gamma]\[Omicron]\[Upsilon]\[FinalSigma]\ \[Tau]\[Eta]\[FinalSigma]\ \
\[CapitalChi]\[Alpha]\[Mu]\[Iota]\[Lambda]\[Tau]\[Omicron]\[Nu]\[Iota]\[Alpha]\
\[Nu]\:03ae\[FinalSigma]\ \[Mu]\[Epsilon]\ \
\[Alpha]\[Nu]\[Tau]\[Kappa]\[Alpha]\[Tau]\:03ac\[Sigma]\[Tau]\[Alpha]\[Sigma]\
\[Eta]\ \[Tau]\[Omega]\[Nu]\ u\ *) \),
        FontColor->RGBColor[0, 0, 1]]}], "\[IndentingNewLine]", \(DD = 
        Table[D\_i, {i, m}];\), "\[IndentingNewLine]", 
    RowBox[{\(Olokliroma = \[Integral]\_\(t\_0\)\%\(t\_f\)\((DD . 
                  DD)\) \[DifferentialD]t;\), "\[IndentingNewLine]", 
      StyleBox[\( (*\ \[CapitalNu]\:03cc\[Rho]\[Mu]\[Alpha]\ \[Tau]\[Eta]\
\[FinalSigma]\ \[Mu]\[Epsilon]\[Rho]\[Iota]\[Kappa]\:03ae\[FinalSigma]\ \[Pi]\
\[Alpha]\[Rho]\[Alpha]\[Gamma]\:03ce\[Gamma]\[Omicron]\[Upsilon]\ \
\[Tau]\[Eta]\[FinalSigma]\ \[CapitalChi]\[Alpha]\[Mu]\[Iota]\[Lambda]\[Tau]\
\[Omicron]\[Nu]\[Iota]\[Alpha]\[Nu]\:03ae\[FinalSigma]\ *) \),
        FontColor->RGBColor[0, 0, 
        1]]}], "\[IndentingNewLine]", \(norm = \@N[Olokliroma];\), "\
\[IndentingNewLine]", \(Print["\<\[CapitalSigma]\[Tau]\[Eta]\[Nu] \
\[CapitalEpsilon]\[Pi]\[Alpha]\[Nu]\:03ac\[Lambda]\[Eta]\[Psi]\[Eta] \[Nu]\
\[Omicron]\:03cd\[Mu]\[Epsilon]\[Rho]\[Omicron] \>", 
      k = 1]\), "\[IndentingNewLine]", 
    RowBox[{\(Print["\<H \[Nu]\:03cc\[Rho]\[Mu]\[Alpha] \[Tau]\[Omicron]\
\[Upsilon] \[Kappa]\[Rho]\[Iota]\[Tau]\[Eta]\[Rho]\:03af\[Omicron]\[Upsilon] \
\[Tau]\[Epsilon]\[Rho]\[Mu]\[Alpha]\[Tau]\[Iota]\[Sigma]\[Mu]\[Omicron]\:03cd \
\[Epsilon]\:03af\[Nu]\[Alpha]\[Iota]: \>", norm = \ \@N[Olokliroma]]\), 
      "\[IndentingNewLine]", 
      RowBox[{
        StyleBox["(*",
          FontColor->RGBColor[0, 0, 1]], 
        StyleBox[" ",
          FontColor->RGBColor[0, 0, 1]], 
        StyleBox[\(\[CapitalMu]\:03ad\[Sigma]\[Omega]\ \[Tau]\[Eta]\
\[FinalSigma]\ \[Epsilon]\[Nu]\[Tau]\[Omicron]\[Lambda]\:03ae\[FinalSigma]\ \
while, \ \[Epsilon]\[Lambda]\:03ad\[Gamma]\[Chi]\[Epsilon]\[Tau]\[Alpha]\
\[Iota]\ \[Alpha]\[Nu]\ \[Eta]\ \[Nu]\:03cc\[Rho]\[Mu]\[Alpha]\ \[Pi]\
\[Omicron]\[Upsilon]\ \[Beta]\[Rho]\:03ad\[Theta]\[Eta]\[Kappa]\[Epsilon]\ \
\[Iota]\[Kappa]\[Alpha]\[Nu]\[Omicron]\[Pi]\[Omicron]\[Iota]\[Epsilon]\:03af\ \
\[Tau]\[Omicron]\ \[Kappa]\[Rho]\[Iota]\[Tau]\:03ae\[Rho]\[Iota]\[Omicron]\ \
\[Tau]\[Epsilon]\[Rho]\[Mu]\[Alpha]\[Tau]\[Iota]\[Sigma]\[Mu]\[Omicron]\:03cd\
\ g . \ \[CapitalAlpha]\[Nu]\ \[Tau]\[Omicron]\ \[Iota]\[Kappa]\[Alpha]\[Nu]\
\[Omicron]\[Pi]\[Omicron]\[Iota]\[Epsilon]\:03af\ \[Eta]\ \[Alpha]\[Nu]\
\[Alpha]\[Kappa]\:03cd\[Kappa]\[Lambda]\[Omega]\[Sigma]\[Eta]\ \[Sigma]\[Tau]\
\[Alpha]\[Mu]\[Alpha]\[Tau]\:03ac\[Epsilon]\[Iota], \ \[Alpha]\[Lambda]\
\[Lambda]\[Iota]\:03ce\[FinalSigma]\ \[Beta]\[Rho]\:03af\[Sigma]\[Kappa]\
\[Omicron]\[Upsilon]\[Mu]\[Epsilon]\ \[Tau]\[Omicron]\[Upsilon]\[FinalSigma]\ \
\[Nu]\:03ad\[Omicron]\[Upsilon]\[FinalSigma]\ \[Epsilon]\[Lambda]\[Epsilon]\
\[Gamma]\[Kappa]\[Tau]\:03ad\[FinalSigma]\ \[Kappa]\[Alpha]\[Iota]\ \[Xi]\
\[Epsilon]\[Kappa]\[Iota]\[Nu]\:03ac\[Mu]\[Epsilon]\ \[Nu]\:03ad\[Alpha]\ \
\[Alpha]\[Nu]\[Alpha]\[Kappa]\:03cd\[Kappa]\[Lambda]\[Omega]\[Sigma]\[Eta]\),
          FontColor->RGBColor[0, 0, 1]], 
        StyleBox[" ",
          FontColor->RGBColor[0, 0, 1]], 
        StyleBox["*)",
          FontColor->RGBColor[0, 0, 1]]}]}], "\[IndentingNewLine]", 
    RowBox[{
      RowBox[{"While", "[", 
        RowBox[{\(norm > g\), ",", 
          
          RowBox[{\(Print\ ["\<\[CapitalTau]\[Omicron] \[Beta]\:03ae\[Mu]\
\[Alpha] \[Gamma]\[Iota]\[Alpha] \[Tau]\[Eta]\[Nu] \[Epsilon]\[Pi]\[Alpha]\
\[Nu]\:03ac\[Lambda]\[Eta]\[Psi]\[Eta] \>", 
              k + 1, \ "\< \[Epsilon]\:03af\[Nu]\[Alpha]\[Iota] \>", \ 
              1\/\(2\ k\)]\), ";", "\[IndentingNewLine]", 
            RowBox[{
              RowBox[{"Do", "[", 
                
                StyleBox[\( (*\ \[CapitalUpsilon]\[Pi]\[Omicron]\[Lambda]\
\[Omicron]\[Gamma]\[Iota]\[Sigma]\[Mu]\:03cc\[FinalSigma]\ \
\[Tau]\[Omega]\[Nu]\ \[Nu]\:03ad\[Omega]\[Nu]\ \[Epsilon]\[Lambda]\[Epsilon]\
\[Gamma]\[Kappa]\[Tau]\:03ce\[Nu]\ *) \),
                  FontColor->RGBColor[0, 0, 1]], 
                "\[IndentingNewLine]", \(Print[
                  U[\([i]\)] = 
                    U[\([i]\)] - \ 1\/\(2\ k\)\ D\_i /. 
                      t -> T[\([i, 1]\)]], {i, m}\), "]"}], "//", 
              "FullSimplify"}], 
            ";", \(Do[
              eqx = Table[{\(system[\([1, i]\)]\)[\([1]\)] == \(system[\([2, 
                              i]\)]\)[\([1]\)] /. u[t] -> U[\([j]\)], 
                    arxikes[\([i]\)]}, {i, n}]; \[IndentingNewLine]dx = 
                DSolve[eqx, X, t] // FullSimplify; \[IndentingNewLine]xi = 
                Table[x\_i[t_] -> \ \(dx[\([1, i]\)]\)[\([2]\)], {i, 
                    n}]; \[IndentingNewLine]Do[
                costate[i] = \(p\_i'\)[t] == \(-D[Ham, x\_i[t]]\), {i, 
                  n}]; \[IndentingNewLine]eqp = 
                Table[{costate[i], 
                    p\_i[T[\([j, 2]\)]] == D[h, x\_i[T[\([j, 2]\)]]]}, {i, 
                    n}]; \[IndentingNewLine]dp = 
                DSolve[eqp //. xi, P, t] // 
                  FullSimplify; \[IndentingNewLine]pi = 
                Table[p\_i[t_] -> \ \(dp[\([1, i]\)]\)[\([2]\)], {i, 
                    n}]; \[IndentingNewLine]Hxp = 
                Join[xi, pi]; \[IndentingNewLine]H11 = 
                Ham //. Hxp // FullSimplify; \[IndentingNewLine]H1 = 
                N[Chop[H11]]; \[IndentingNewLine]D\_j = 
                D[H1, u[t]] /. u[t] -> U[\([j]\)] // FullSimplify, {j, m}]\), 
            ";", "\[IndentingNewLine]", \(DD = Table[D\_i, {i, m}]\), ";", 
            "\[IndentingNewLine]", \(Olokliroma = \
\[Integral]\_\(t\_0\)\%\(t\_f\)\((DD . DD)\) \[DifferentialD]t\), ";", 
            "\[IndentingNewLine]", \
\(Print["\<\[CapitalSigma]\[Tau]\[Eta]\[Nu] \[CapitalEpsilon]\[Pi]\[Alpha]\
\[Nu]\:03ac\[Lambda]\[Eta]\[Psi]\[Eta] \[Nu]\[Omicron]\:03cd\[Mu]\[Epsilon]\
\[Rho]\[Omicron] \>", k = k + 1]\[IndentingNewLine]
            
            Print["\<H \[Nu]\:03cc\[Rho]\[Mu]\[Alpha] \[Tau]\[Omicron]\
\[Upsilon] \[Kappa]\[Rho]\[Iota]\[Tau]\[Eta]\[Rho]\:03af\[Omicron]\[Upsilon] \
\[Tau]\[Epsilon]\[Rho]\[Mu]\[Alpha]\[Tau]\[Iota]\[Sigma]\[Mu]\[Omicron]\:03cd \
\[Epsilon]\:03af\[Nu]\[Alpha]\[Iota]: \>", 
              norm = Chop[\@N[Olokliroma]]\ ]\)}]}], "]"}], 
      "\[IndentingNewLine]", 
      RowBox[{
        StyleBox["(*",
          FontColor->RGBColor[0, 0, 1]], 
        StyleBox[" ",
          FontColor->RGBColor[0, 0, 1]], 
        StyleBox[\(\[CapitalEta]\ \[Nu]\:03cc\[Rho]\[Mu]\[Alpha]\ \[Iota]\
\[Kappa]\[Alpha]\[Nu]\[Omicron]\[Pi]\[Omicron]\[Iota]\[Epsilon]\:03af\ \[Tau]\
\[Omicron]\ \[Kappa]\[Rho]\[Iota]\[Tau]\:03ae\[Rho]\[Iota]\[Omicron]\ \[Tau]\
\[Epsilon]\[Rho]\[Mu]\[Alpha]\[Tau]\[Iota]\[Sigma]\[Mu]\[Omicron]\:03cd\ g\ \
\:03ac\[Rho]\[Alpha]\ \[Omicron]\ \
\[Alpha]\[Lambda]\[Gamma]\:03cc\[Rho]\[Iota]\[Theta]\[Mu]\[Omicron]\
\[FinalSigma]\ \:03ad\[Chi]\[Epsilon]\[Iota]\ \[Sigma]\[Upsilon]\[Kappa]\
\[Gamma]\[Lambda]\:03af\[Sigma]\[Epsilon]\[Iota]\ \[Kappa]\[Alpha]\[Iota]\ \
\:03ad\[Chi]\[Omicron]\[Upsilon]\[Mu]\[Epsilon]\ \[Beta]\[Rho]\[Epsilon]\
\[Iota]\ \[Tau]\[Omicron]\[Nu]\ \[Beta]\:03ad\[Lambda]\[Tau]\[Iota]\[Sigma]\
\[Tau]\[Omicron]\ \[Epsilon]\[Lambda]\[Epsilon]\[Gamma]\[Kappa]\[Tau]\:03ae\ \
\((\:03ae\ \[Epsilon]\[Lambda]\[Epsilon]\[Gamma]\[Kappa]\[Tau]\:03ad\
\[FinalSigma]\ \[Alpha]\[Nu]\ \[Tau]\[Omicron]\ \[Delta]\[Iota]\:03ac\[Sigma]\
\[Tau]\[Eta]\[Mu]\[Alpha]\ [t\_0, 
                  t\_f]\ \:03ad\[Chi]\[Epsilon]\[Iota]\ \[Chi]\[Omega]\[Rho]\
\[Iota]\[Sigma]\[Tau]\[Epsilon]\:03af\ \[Sigma]\[Epsilon]\ \[Upsilon]\[Pi]\
\[Omicron]\[Delta]\[Iota]\[Alpha]\[Sigma]\[Tau]\:03ae\[Mu]\[Alpha]\[Tau]\
\[Alpha])\)\),
          FontColor->RGBColor[0, 0, 1]], 
        StyleBox[" ",
          FontColor->RGBColor[0, 0, 1]], 
        StyleBox["*)",
          FontColor->RGBColor[0, 0, 
          1]]}]}], "\[IndentingNewLine]", \(Print\ ["\<\[CapitalSigma]\
\[Upsilon]\[Nu]\[Epsilon]\[Pi]\:03ce\[FinalSigma] \
\[Omicron]/\[Omicron]\[Iota] \
\[Beta]\:03ad\[Lambda]\[Tau]\[Iota]\[Sigma]\[Tau]\[Omicron]\[FinalSigma]/\
\[Omicron]\[Iota] \[Epsilon]\[Lambda]\[Epsilon]\[Gamma]\[Kappa]\[Tau]\:03ae\
\[FinalSigma]/\:03ad\[FinalSigma] \[Theta]\[Alpha] \:03ad\[Chi]\[Epsilon]\
\[Iota]/\[Omicron]\[Upsilon]\[Nu] \[Tau]\[Iota]\[Mu]\:03ae: \>", \ 
      Table[U[\([i]\)], {i, m}]]\)}], "Input"]
},
FrontEndVersion->"4.1 for Microsoft Windows",
ScreenRectangle->{{0, 1024}, {0, 685}},
WindowSize->{1016, 651},
WindowMargins->{{0, Automatic}, {Automatic, 0}}
]

(*******************************************************************
Cached data follows.  If you edit this Notebook file directly, not
using Mathematica, you must remove the line containing CacheID at
the top of  the file.  The cache data will then be recreated when
you save this file from within Mathematica.
*******************************************************************)

(*CellTagsOutline
CellTagsIndex->{}
*)

(*CellTagsIndex
CellTagsIndex->{}
*)

(*NotebookFileOutline
Notebook[{
Cell[1705, 50, 23355, 397, 1901, "Input"]
}
]
*)



(*******************************************************************
End of Mathematica Notebook file.
*******************************************************************)

